#ifndef LOCATIONINFOWIDGET_H
#define LOCATIONINFOWIDGET_H

extern "C" {
#include <location/location-gps-device.h>
#include <location/location-gpsd-control.h>
}
#include <QWidget>
#include <QMainWindow>
#include <QLabel>

class LocationInfoWidget : public QMainWindow
{
    Q_OBJECT
public:
    LocationInfoWidget(QWidget *parent = 0);
    ~LocationInfoWidget();
    void updateDeviceFix(LocationGPSDeviceFix *fix);
    void updateSatellites(int satellites_in_use);
    void updateStatus(LocationGPSDeviceStatus status);

private slots:
    static void locationChanged(LocationGPSDevice *device, gpointer userdata);
    static void locationConnected(LocationGPSDevice *device, gpointer userdata);
    static void locationDisconnected(LocationGPSDevice *device, gpointer userdata);

private:
    QLabel *status;
    QLabel *satellites;
    QLabel *position;
    QLabel *altitude;
    QLabel *speed;
    LocationGPSDevice *device;
    LocationGPSDControl *control;
};

#endif // LOCATIONINFOWIDGET_H

